## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToOdtConverterOptions

### Document::ezcDocumentDocbookToOdtConverterOptions

### Class ezcDocumentDocbookToOdtConverterOptions

Class containing the basic options for the ezcDocumentToOdtConverter.

Source for this file: /Document/src/options/converter_docbook_odt.php

    ezcBaseOptions
       |
       --ezcDocumentConverterOptions
          |
          --ezcDocumentDocbookToOdtConverterOptions

Version: | //autogen//

### Properties

string | read/write | `$lengthMeasure` Default length measure unit to use for measures defined in DocBook without a unit. Valid values are: "cm", "mm", "in", "pt", "pc" and "px".
ezcDocumentOdtStyler | read/write | `$styler` Styler to use for generating ODTs. By default, an ezcDocumentOdtPcssStyler is used.
string | read/write | `$template` The base ODT template file to load for generated ODTs. The default template resides in /data/template.fodt in the component directory.

### Member Variables

public static array(string) | `$validLengthMeasures` Valid length measures.

### Inherited Member Variables

From ezcDocumentConverterOptions
protected | `ezcDocumentConverterOptions::$properties`

### Method Summary

public ezcDocumentDocbookToOdtConverterOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcDocumentDocbookToOdtConverterOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3